package com.ruoyi.abuwx.domain.exam;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 试题答案对象 exm_question_answer
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public class ExmQuestionAnswer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 一个答案有多个同义词用 分隔 */
    @Excel(name = "一个答案有多个同义词用 分隔")
    private String answer;

    /** 分值 */
    @Excel(name = "分值")
    private BigDecimal score;

    /** 试题ID */
    @Excel(name = "试题ID")
    private Long questionId;

    /** 排序 */
    @Excel(name = "排序")
    private Long no;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAnswer(String answer) 
    {
        this.answer = answer;
    }

    public String getAnswer() 
    {
        return answer;
    }
    public void setScore(BigDecimal score) 
    {
        this.score = score;
    }

    public BigDecimal getScore() 
    {
        return score;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setNo(Long no) 
    {
        this.no = no;
    }

    public Long getNo() 
    {
        return no;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("answer", getAnswer())
            .append("score", getScore())
            .append("questionId", getQuestionId())
            .append("no", getNo())
            .toString();
    }
}
